Bug 569373 - live installer may report "Not a Live image"
live installer may report "Not a Live image"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2010-03-01 08:29 EST by Steve Tyler
Modified: 2010-03-23 17:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.36-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-04 12:05:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing "Not a Live image" (1.41 MB, image/png)
2010-03-01 08:29 EST, Steve Tyler
no flags Details
anaconda.log (3.55 KB, text/plain)
2010-03-01 08:30 EST, Steve Tyler
no flags Details
program.log (1.57 KB, text/plain)
2010-03-01 08:31 EST, Steve Tyler
no flags Details
storage.log (3.28 KB, text/plain)
2010-03-01 08:32 EST, Steve Tyler
no flags Details
messages.1.log (141.02 KB, text/plain)
2010-03-01 08:41 EST, Steve Tyler
no flags Details
dmesg.1.log (39.58 KB, text/plain)
2010-03-01 08:44 EST, Steve Tyler
no flags Details
screenshot showing disk selector dialog and Exit installer (1021.77 KB, image/png)
2010-03-01 09:13 EST, Steve Tyler
no flags Details
screenshot showing output of "ls -l /dev/live* /dev/mapper/live*" before and after reproducing the bug (932.08 KB, image/png)
2010-03-01 17:31 EST, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2010-03-01 08:29:59 EST
Created attachment 397062 [details]
screenshot showing "Not a Live image"

Description of problem:
While booted off a live USB stick, I clicked "Install to Hard Drive" and got the error message "Not a Live image". Screenshot attached.

Version-Release number of selected component (if applicable):
http://serverbeach1.fedoraproject.org/pub/alt/stage/13-Alpha.RC4/F13-Alpha-x86_64-Live/F13-Alpha-x86_64-Live.iso

How reproducible:
Not sure how I got into this state, but the error message is displayed every time I double-click "Install to Hard Drive".

Steps to Reproduce:
Not sure.
I was starting the installer and exiting early.
I was also activating logical volumes after the installer disabled them (Bug 569174).
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve Tyler 2010-03-01 08:30:39 EST
Created attachment 397063 [details]
anaconda.log
Comment 2 Steve Tyler 2010-03-01 08:31:38 EST
Created attachment 397064 [details]
program.log
Comment 3 Steve Tyler 2010-03-01 08:32:12 EST
Created attachment 397065 [details]
storage.log
Comment 4 Steve Tyler 2010-03-01 08:41:42 EST
Created attachment 397069 [details]
messages.1.log
Comment 5 Steve Tyler 2010-03-01 08:44:25 EST
Created attachment 397070 [details]
dmesg.1.log
Comment 6 Steve Tyler 2010-03-01 09:13:19 EST
Created attachment 397074 [details]
screenshot showing disk selector dialog and Exit installer

Reproduced it ...

Boot from USB stick with live ISO image installed on it.
Double-click the "install to hard drive" icon.
Proceed to the disk selection dialog.
Don't check any boxes.
Click "Close Window" icon.
(screenshot here)
Click "Exit installer".
Double-click the "install to hard drive icon".
Error message appears.
Comment 7 Chris Lumens 2010-03-01 17:22:51 EST
What does:

ls -l /dev/live* /dev/mapper/live*

show?
Comment 8 Steve Tyler 2010-03-01 17:31:27 EST
Created attachment 397209 [details]
screenshot showing output of "ls -l /dev/live* /dev/mapper/live*" before and after reproducing the bug
Comment 9 Steve Tyler 2010-03-01 17:39:25 EST
(In reply to comment #8)
> Created an attachment (id=397209) [details]
> screenshot showing output of "ls -l /dev/live* /dev/mapper/live*"    

Black-and-white version ... :-)

[liveuser@localhost ~]$ ls -L /dev/live* /dev/mapper/live*
ls: cannot access /dev/mapper/live-osimg-min: No such file or directory
ls: cannot access /dev/mapper/live-rw: No such file or directory
/dev/live
Comment 10 Chris Lumens 2010-03-01 17:45:32 EST
Yeah that's the problem.  I wonder what's happening with your ../dm-* symlinks.
Comment 11 Steve Tyler 2010-03-01 17:55:25 EST
(In reply to comment #10)
> Yeah that's the problem.  I wonder what's happening with your ../dm-* symlinks.    

Can you reproduce it?
Comment 12 James Laska 2010-03-04 11:58:28 EST
No objections to resolving this for Fedora 13.  I'm adding F13Blocker so this is on the radar.  The impact, as I understand it, is that repeated attempts to run liveinst from a live image may fail as some cleanup/setup work was not properly handled by liveinst or anaconda.
Comment 13 Brian Lane 2010-03-04 12:05:16 EST
Here's the fix for this:

http://git.fedoraproject.org/git/anaconda.git?p=anaconda.git;a=commitdiff;h=7a57848512333239672abe104bb3942821daddc0

It ends up it would only be triggered by exiting on the filter screen.
Comment 14 Steve Tyler 2010-03-04 12:35:00 EST
Thanks, Brian.

James: A work-around is to restart the live image.
Comment 15 Fedora Update System 2010-03-23 17:29:48 EDT
anaconda-13.36-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/anaconda-13.36-1.fc13

Note You need to log in before you can comment on or make changes to this bug.